AuditEntitiesConfiguration (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.envers.configuration
Class AuditEntitiesConfiguration

    java.lang.Object
      org.hibernate.envers.configuration.AuditEntitiesConfiguration

    public class AuditEntitiesConfiguration

extends Object

Configuration of versions entities - names of fields, entities and tables created to store versioning information.

Constructor Summary
`AuditEntitiesConfiguration(Properties properties, String revisionInfoEntityName)`

Method Summary
`void` | `addCustomAuditTableName(String entityName, String tableName)`
`String` | `getAuditEntityName(String entityName)`
`String` | `getAuditStrategyName()`
`String` | `getAuditTableName(String entityName, String tableName)`
`String` | `getOriginalIdPropName()`
`String` | `getRevisionEndFieldName()`
`String` | `getRevisionEndTimestampFieldName()`
`String` | `getRevisionFieldName()`
`String` | `getRevisionInfoEntityName()`
`String` | `getRevisionNumberPath()`
`String` | `getRevisionPropPath(String propertyName)`
`String` | `getRevisionTypePropName()`
`String` | `getRevisionTypePropType()`
`boolean` | `isRevisionEndTimestampEnabled()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuditEntitiesConfiguration

    public AuditEntitiesConfiguration(Properties properties,
                                      String revisionInfoEntityName)

Method Detail

### getOriginalIdPropName

    public String getOriginalIdPropName()

### getRevisionFieldName

    public String getRevisionFieldName()

### isRevisionEndTimestampEnabled

    public boolean isRevisionEndTimestampEnabled()

### getRevisionEndTimestampFieldName

    public String getRevisionEndTimestampFieldName()

### getRevisionNumberPath

    public String getRevisionNumberPath()

### getRevisionPropPath

    public String getRevisionPropPath(String propertyName)

  Parameters:
    `propertyName` - Property of the revision entity.
  Returns:
    A path to the given property of the revision entity associated with an audit entity.

### getRevisionTypePropName

    public String getRevisionTypePropName()

### getRevisionTypePropType

    public String getRevisionTypePropType()

### getRevisionInfoEntityName

    public String getRevisionInfoEntityName()

### addCustomAuditTableName

    public void addCustomAuditTableName(String entityName,
                                        String tableName)

### getAuditEntityName

    public String getAuditEntityName(String entityName)

### getAuditTableName

    public String getAuditTableName(String entityName,
                                    String tableName)

### getAuditStrategyName

    public String getAuditStrategyName()

### getRevisionEndFieldName

    public String getRevisionEndFieldName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.